# eoSelectOne< EOT, WorthT > Class Template Reference

eoSelectOne selects only one element from a whole population. More...

`#include <eoSelectOne.h>`

Inheritance diagram for eoSelectOne< EOT, WorthT >:

List of all members.

## Public Member Functions

virtual void | setup (const eoPop< EOT > &_pop)
| virtual function to setup some population stats (for instance eoProportional can benefit greatly from this)

## Detailed Description

### template<class EOT, class WorthT = typename EOT::Fitness>
class eoSelectOne< EOT, WorthT >

eoSelectOne selects only one element from a whole population.

Most selection techniques are simply repeated applications of eoSelectOne.

See also:
  eoSelectMany, eoSelectRandom, eoDetTournament, eoStochTournament, eoProportional

Definition at line 45 of file eoSelectOne.h.

The documentation for this class was generated from the following file:

- eoSelectOne.h